API Reference
Reorder a domain's topics (display order in lists and sidebar)
PATCH
header
X-API-Key<token>API Key for programmatic access
domainId*stringapplication/json- body
topicIds*array<string>Topic ids in the desired display order (first id is shown first). Topics of the domain not listed here keep their relative order after the listed ones.
Topics in their new order
application/json- response
[index: integer]?curl -X PATCH 'https://api.getmint.ai/api/domains/string/topics/reorder' \ -H 'Content-Type: application/json' \ -d '{ "topicIds": [ "6736c1a8a0b2f1e2d3c4b5a6", "6736c1a8a0b2f1e2d3c4b5a7" ]}'[ { "id": "123e4567-e89b-12d3-a456-426614174000", "domainId": "123e4567-e89b-12d3-a456-426614174000", "name": "AI and Machine Learning", "displayName": "Running shoes", "competitionSubject": "trail running shoes", "description": "Discussions about artificial intelligence and ML technologies", "icon": "Brain", "keywords": [ "artificial intelligence", "machine learning", "AI" ], "language": "en", "market": "US", "persona": "Marketing manager evaluating running shoe brands", "visibilityPrompts": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "text": "What are the best running shoe brands?", "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z" } ], "competitionPrompts": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "text": "How does nike.com compare to its competitors?", "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z" } ], "evaluationCriteria": [ "price", "product-quality", "customer-service" ], "organizationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z", "lastAnalysisAt": "2026-05-25T10:30:00.000Z", "nextAnalysisAt": "2026-05-26T10:30:00.000Z", "enabledFeatures": { "visibility": true, "competition": true, "ads": true, "shopping": true }, "adsPromptCount": 0, "sortOrder": 0, "competitors": [ { "id": "6736c1a8a0b2f1e2d3c4b5a6", "name": "OpenAI", "urls": [ "https://openai.com", "https://chat.openai.com" ], "aliases": [ "OAI" ] } ], "establishment": { "name": "Novotel Paris Centre Tour Eiffel", "aliases": [ "Novotel Tour Eiffel" ], "address": "61 Quai de Grenelle, 75015 Paris", "city": "Paris", "latitude": 48.8496, "longitude": 2.2834, "googlePlaceId": "ChIJLU7jZClu5kcR4PcOOO6p3I0", "externalId": "3546" } }]